%global momorel 1
Summary: Movie player for GNOME
Name: totem
Version: 3.24.0
Release: %{momorel}m%{?dist}
License: "GPLv2+ with exceptions"
Group: Applications/Multimedia
URL: http://projects.gnome.org/totem/
Source0: http://download.gnome.org/sources/totem/3.24/totem-%{version}.tar.xz
NoSource: 0

Requires: gnome-icon-theme
# For the opensubtitles plugin
Requires: pyxdg
# For all the Python plugins
Requires: pygobject3

Requires: iso-codes
Requires: gstreamer1
Requires: gstreamer1-libav
Requires: gstreamer1-plugins-base
Requires: gstreamer1-plugins-good
Requires: gstreamer1-plugins-bad-free
Requires: gvfs-fuse
# Disabled until ported to GStreamer 1.0
# Requires: gnome-dvb-daemon
Requires: grilo-plugins
Requires: gsettings-desktop-schemas

BuildRequires: gstreamer1-devel
BuildRequires: gstreamer1-plugins-bad-free-devel
BuildRequires: gstreamer1-plugins-base-devel
BuildRequires: gstreamer1-plugins-good
BuildRequires: libpeas-devel

BuildRequires: gcc-c++, pkgconfig, gettext
BuildRequires: perl(XML::Parser) intltool
BuildRequires: gnome-icon-theme-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: itstool
BuildRequires: libXtst-devel
BuildRequires: libXi-devel
BuildRequires: libXt-devel
BuildRequires: pylint
BuildRequires: python-devel
BuildRequires: pygobject3-devel
BuildRequires: totem-pl-parser-devel >= 3.10.0
BuildRequires: clutter-devel >= 1.26
BuildRequires: clutter-gst3-devel
BuildRequires: clutter-gtk-devel
BuildRequires: vala
#BuildRequires: appdata-tools

# For the nautilus extension
BuildRequires: nautilus-devel

# mozilla plugin
BuildRequires: dbus-glib-devel

# Work-around for fontconfig bug https://bugzilla.redhat.com/show_bug.cgi?id=480928
BuildRequires: liberation-sans-fonts

# For plugins
BuildRequires: lirc-devel
BuildRequires: libgdata-devel
BuildRequires: grilo-devel >= 0.2.0
BuildRequires: zeitgeist-devel

BuildRequires: gnome-common
BuildRequires: autoconf automake intltool

# The mythtv sub-package was removed
# (obsoleted by -upnp then by grilo in main)
Obsoletes: totem-mythtv < 2.91.0-1
Provides: totem-mythtv = %{version}-%{release}
# The upnp sub-package was removed
# (obsoleted by the grilo plugin)
Obsoletes: totem-upnp < 3.1.4-1
Provides: totem-upnp = %{version}-%{release}
# The jamendo sub-package was removed
# (obsoleted by the grilo plugin)
Obsoletes: totem-jamendo < 3.1.4-1
Provides: totem-jamendo = %{version}-%{release}
# The tracker sub-package was removed
# (obsoleted by the grilo plugin)
Obsoletes: totem-tracker < 3.1.4-1
Provides: totem-tracker = %{version}-%{release}
# The publish sub-package was removed
# (obsoleted by nothing)
Obsoletes: totem-publish < 3.1.4-1
Provides: totem-publish = %{version}-%{release}
# mozilla plugin support removed in 3.13.90
Obsoletes: totem-mozplugin < 3.13.90-1
Obsoletes: totem-mozplugin-vegas < 3.13.90-1

%description
Totem is simple movie player for the GNOME desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

Totem is extensible through a plugin system.

#%package mozplugin
#Summary: Mozilla plugin for Totem
#Group: Applications/Internet

#%description mozplugin
#Totem is simple movie player for the GNOME desktop.
#The mozilla plugin for Totem allows it to be embedded into a web browser.

#%package mozplugin-vegas
#Summary: Mozilla flash plugin for Totem
#Group: Applications/Internet
#Requires: %{name}-mozplugin = %{version}-%{release}

#%description mozplugin-vegas
#Totem is simple movie player for the GNOME desktop.
#The mozilla vegas plugin for Totem allows it playback flash videos
#on some popular video websites.

%package lirc
Summary: LIRC (Infrared remote) plugin for Totem
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description lirc
This package provides a plugin to add LIRC (Infrared remote) support to Totem.

%package youtube
Summary: YouTube plugin for Totem
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description youtube
This package provides a plugin to allow browsing YouTube videos in Totem,
and watching them.

To play back the videos however, you will need codecs that are not
available in the Fedora repositories.

%package devel
Summary: Plugin writer's documentation for totem
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains API documentation for
developing developing plugins for %{name}.

%package nautilus
Summary: Video and Audio Properties tab for Nautilus
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description nautilus
This package provides a Nautilus extension that shows the properties of
audio and video files in the properties dialog.

%prep
%setup -q

# Drop appdata support for a while
#sed --in-place 's,@APPDATA_XML_RULES@,,g' data/appdata/Makefile.am
#./autogen.sh

%build

#export BROWSER_PLUGIN_DIR=%{_libdir}/mozilla/plugins

%configure \
  --enable-nautilus \
  --disable-appdata-validate \
  --disable-static

#  --enable-browser-plugins \
#  --disable-appdata-validate \

make %{?_smp_mflags}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

make install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang %{name} --with-gnome

rm -rf %{buildroot}%{_libdir}/totem/plugins/*/*.{a,la} \
 %{buildroot}%{_libdir}/mozilla/plugins/*.{a,la} \
 %{buildroot}%{_libdir}/nautilus/extensions-3.0/*.{a,la} \
 %{buildroot}%{_libdir}/libbaconvideowidget*.{a,la} \
 %{buildroot}%{_libdir}/libbaconvideowidget.so \
 %{buildroot}%{_libdir}/totem/plugins/bemused/ \
 %{buildroot}%{_libdir}/totem/plugins/mythtv/

%find_lang %{name} --with-gnome

#nuke the .la file(s)
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post
/sbin/ldconfig
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-video-thumbnailer
%{_bindir}/%{name}-audio-preview
%{_libdir}/libtotem.so.*
%{_libdir}/girepository-1.0/Totem-1.0.typelib
%{_datadir}/appdata/org.gnome.Totem.appdata.xml
%{_datadir}/applications/org.gnome.Totem.desktop
%{_datadir}/dbus-1/services/org.gnome.Totem.service
%dir %{_datadir}/totem
#%{_datadir}/totem/*.png
%{_datadir}/totem/controls.ui
#%{_datadir}/totem/org_gnome_totem_PluginViewer.xml
%{_datadir}/totem/playlist.ui
%{_datadir}/totem/preferences.ui
%{_datadir}/totem/properties.ui
%{_datadir}/totem/totem.ui
%{_datadir}/totem/uri.ui
#%dir %{_libexecdir}/totem
#%{_libexecdir}/totem/totem-bugreport.py
#%exclude %{_libexecdir}/totem/totem-bugreport.py[co]
%dir %{_libdir}/totem
%dir %{_libdir}/totem/plugins
%{_libdir}/totem/plugins/apple-trailers
%{_libdir}/totem/plugins/autoload-subtitles
%{_libdir}/totem/plugins/brasero-disc-recorder
#%%{_libdir}/totem/plugins/chapters
%{_libdir}/totem/plugins/dbus
%{_libdir}/totem/plugins/gromit
%{_libdir}/totem/plugins/im-status
%{_libdir}/totem/plugins/ontop
%{_libdir}/totem/plugins/recent
%{_libdir}/totem/plugins/rotation
%{_libdir}/totem/plugins/screensaver
%{_libdir}/totem/plugins/skipto
%{_libdir}/totem/plugins/properties
%{_libdir}/totem/plugins/media-player-keys
%{_libdir}/totem/plugins/opensubtitles
%{_libdir}/totem/plugins/pythonconsole
%{_libdir}/totem/plugins/screenshot
%{_libdir}/totem/plugins/save-file
%{_libdir}/totem/plugins/variable-rate
%{_libdir}/totem/plugins/vimeo
%{_libdir}/totem/plugins/zeitgeist-dp
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/totem-video-thumbnailer.1.*
%{_mandir}/man1/totem-audio-preview.1.*
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/totem/shortcuts.ui
%{_datadir}/thumbnailers/totem.thumbnailer
%{_datadir}/help/*/%{name}

%files nautilus
%{_libdir}/nautilus/extensions-3.0/*.so*

%files lirc
%{_libdir}/totem/plugins/lirc

%if 0
%files youtube
%{_libdir}/totem/plugins/youtube
%endif

%files devel
%{_datadir}/gtk-doc/html/totem
%{_includedir}/totem
%{_libdir}/libtotem.so
%{_libdir}/pkgconfig/totem.pc
%{_datadir}/gir-1.0/Totem-1.0.gir

#%files mozplugin
#%{_libdir}/mozilla/plugins/*
#%{_libexecdir}/totem-plugin-viewer
#%{_datadir}/totem/mozilla-viewer.ui
#%{_datadir}/totem/mozilla-viewer.css
#%exclude %{_libdir}/mozilla/plugins/libtotem-vegas-plugin.so

#%files mozplugin-vegas
#%{_libdir}/mozilla/plugins/libtotem-vegas-plugin.so

%changelog
* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.0-1m)
- update to 3.24.0

* Mon Feb 20 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.90-1m)
- update to 3.23.90

* Fri Jan 30 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.2-1m)
- update to 3.14.2

* Fri Nov 21 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.1-1m)
- update to 3.14.1

* Sat Oct 11 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.0-2m)
- add Requires gstreamer1-libav

* Wed Oct  8 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.0-1m)
- update to 3.14.0
- no more mozilla plugins 

* Mon Jun 02 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.1-1m)
- update to 3.12.1

* Wed Mar 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.0-1m)
- update to 3.12.0

* Thu Feb 20 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.90-1m)
- update to 3.11.90

* Sun Dec 29 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.10.1-1m)
- update to 3.10.1

* Mon Sep  2 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.9.5-1m)
- update to 3.9.5

* Sun Sep 23 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.1-8m)
- BuildRequires: totem-pl-parser-3.4.2

* Fri Jul  6 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.2.1-7m)
- rebuild for tracker 0.14.2

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.2.1-6m)
- rebuild for glib 2.33.2

* Sat Apr 14 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.1-5m)
- rebuild against libarchive-3.0.4

* Wed Feb  1 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.2.1-4m)
- add BuildRequires

* Wed Jan 11 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.2.1-3m)
- remove BR hal

* Wed Dec 21 2011 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2.1-2m)
- delete Obsoletes: totem-devel

* Wed Oct 19 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.1-1m)
- update to 3.2.1

* Mon Sep 26 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0

* Thu Sep 22 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.92-1m)
- update to 3.1.92

* Sat Sep 17 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.91-1m)
- update to 3.1.91

* Fri Sep 16 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.4-3m)
- build with pygobject-2.28.6

* Tue Sep 13 2011 SANUKI Masaru <sanuki@momonga-linux.org>
- (3.1.4-2m)
- fix BuildRequires

* Sun Sep 11 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.4-1m)
- update to 3.1.4

* Mon Jun 27 2011 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.1-4m)
- revised BR

* Thu May 12 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.1-3m)
- fix %%files

* Mon May  9 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.0.1-2m)
- add BuildRequires

* Wed May  4 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.1-1m)
- update to 3.0.1

* Tue May  3 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.32.0-4m)
- rebuild for python-2.7

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.32.0-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.32.0-2m)
- rebuild for new GCC 4.5

* Sat Oct  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.32.0-1m)
- update to 2.32.0

* Sat Sep 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-7m)
- add patch0 for vala-0.9.8

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.2-6m)
- full rebuild for mo7 release

* Sat Jul 31 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-4m)
- split tracker

* Wed Jun 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-3m)
- enable tracker

* Tue May 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-2m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Thu May 13 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-1m)
- update to 2.30.2

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Sat Feb 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.91-1m)
- update to 2.29.91

* Thu Feb 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.4-2m)
- rebuild against libgdata

* Tue Feb 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.4-1m)
- update to 2.29.4

* Tue Feb  2 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.5-3m)
- rebuild against xulrunner-1.9.2

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.28.5-2m)
- delete __libtoolize hack

* Wed Dec 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.5-1m)
- update to 2.28.5

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.4-2m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Mon Nov 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.4-1m)
- update to 2.28.4

* Mon Nov 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.3-1m)
- update to 2.28.3

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.1-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Nov  3 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-3m)
- del BuildRequires: nautilus-cd-burner

* Thu Oct 15 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.28.1-2m)
- add BuildRequires

* Wed Sep 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Sat Sep 26 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.28.0-2m)
- add BuildRequires

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0

* Tue Jun 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.3-1m)
- update to 2.26.3

* Sat Jun 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.26.2-4m)
- rebuild against xulrunner-1.9.1

* Sat Jun 13 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.26.2-3m)
- rebuild against xulrunner-1.9.0.11-1m

* Fri May 22 2009 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.26.2-2m)
- add define __libtoolize

* Mon May  4 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Tue Apr 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.26.1-3m)
- rebuild against xulrunner-1.9.0.10-1m

* Wed Apr 22 2009 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.26.1-2m)
- rebuild against xulrunner-1.9.0.9-1m

* Fri Apr  3 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Mon Mar 30 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.26.0-3m)
- rebuild against xulrunner-1.9.0.8-1m

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-2m)
- separate tracker plugin

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sun Feb 22 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Wed Feb 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Tue Feb 10 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.24.3-7m)
- rebuild against xulrunner-1.9.0.6-1m

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.3-6m)
- rebuild against rpm-4.6

* Fri Jan  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.24.3-5m)
- rebuild against python-2.6.1 and pygtk2-2.13.0-3m

* Sat Dec 20 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.24.3-4m)
- rebuild against bluez-4.22

* Wed Dec 17 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.24.3-3m)
- rebuild against xulrunner-1.9.0.5-1m

* Thu Nov 13 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.24.3-2m)
- rebuild against xulrunner-1.9.0.4-1m

* Tue Oct 28 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.3-1m)
- update to 2.24.2

* Fri Oct 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- update to 2.24.2

* Mon Oct 20 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.23.2-7m)
- rebuild against xulrunner-1.9.0.3-1m

* Thu Oct  9 2008 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- update to 2.24.2

* Fri Oct  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Sun Sep 28 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0
- return to Momonga Spec ;-P
* Wed Sep 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.23.2-6m)
- rebuild against xulrunner-1.9.0.2-1m

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.23.2-5m)
- change Requires: gst-plugins-base to gstreamer-plugins-base
- change Requires: gst-plugins-good to gstreamer-plugins-good 
- change BuildRequires: gst-plugins-base to gstreamer-plugins-base
- change BuildRequires: gst-plugins-base-devel to gstreamer-plugins-base-devel
- change BuildRequires: gst-plugins-good to gstreamer-plugins-good 
- change Requires: gst-plugins-good to gstreamer-plugins-good

* Sun Jul 20 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.23.2-4m)
- rebuild against xulrunner-1.9.0.1-1m

* Wed Jun  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.23.2-3m)
- add BuildRequires: tracker-devel

* Thu May  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.23.2-2m)
- move Obsoletes: totem-mozilla-plugin to %%package mozplugin

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.23.2-1m)
- update to 2.23.2
- rebuild against firefox-3

* Fri Apr 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2
- use xine again

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Fri Mar 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Sat Mar  8 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.20.3-2m)
- add BuildRequires: lirc-devel

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.3-1m)
- update to 2.20.3

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Mon Sep 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Fri Aug 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.3-1m)
- update to 2.18.3

* Sun Jun  3 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.18.2-2m)
- use specopt to choose backend engine, gstreamer or xine

* Mon May 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.2-1m)
- update to 2.18.2

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Thu Apr  5 2007 zunda <zunda at freeshell.org>
- (kossori)
- added BuildPrereq: gst-plugins-good

* Sat Mar 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-2m)
- rewind %%post script (gconftool-2)

* Wed Feb 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92
- delete patch0 (ja.po)

* Tue Feb 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-3m)
- good-bye %%makeinstall

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-2m)
- revice %%post script (gconftool-2)

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-1m)
- update to 2.17.91 (unstable)

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.5-1m)
- update to 2.16.5

* Sun Jan 21 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.16.4-2m)
- add ja.po patch

* Thu Nov 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.4-1m)
- update to 2.16.4

* Wed Nov 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.3-1m)
- update to 2.16.3

* Tue Nov 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-2m)
- good-bye mozilla

* Fri Oct  6 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-1m)
- update 2.16.2

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-2m)
- remove category X-Red-Hat-Base X-Ximian-Main Application

* Mon Sep 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Mon Sep 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-2m)
- use xine-libs

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- update to 2.16.0

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.3-3m)
- rebuild against dbus 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.4.3-2m)
- rebuild against expat-2.0.0-1m

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.3-1m)
- update 1.4.3

* Sun Jul  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.2-2m)
- change directory for mozilla plugin
-- separated package plugin

* Thu Jun 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.2-1m)
- update to 1.4.2
-- delete libtool library

* Sun May 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1-2m)
- delete patch4: now vfx works with dbus.

* Mon May 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1-1m)
- update to 1.4.1

* Wed May 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-4m)
- fix mozilla version
- add patch1, vfx does not work :-(

* Wed May 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-3m)
- add requires gnome-screensaver
- add schemas install totem-handlers.schemas

* Thu Apr 20 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.4.0-2m)
- rebuild against libmusicbrainz

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-1m)
- update to 1.4.0

* Sat Feb 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Sat Dec 31 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.0-2m)
- add Patch0 totem-1.2.0-dbus060.patch
- add BuildPrereq: dbus-devel >= 0.60

* Tue Nov 22 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.2.0-1m)
- version up
- GNOME 2.12.1 Desktop

* Fri Nov  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.99.16-3m)
- rebuild against with nautilus-cd-burner-2.8.6-4m (hal-0.5.4)

* Sun Jul 02 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.99.16-2m)
- add BuildPrereq: nautilus-cd-burner-devel

* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.99.16-1m)
- version up

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.99.11-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sat Apr 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.99.11-1m)
- for gnome-2.6

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.99.8-2m)
- revised spec for rpm 4.2.

* Mon Dec 15 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.99.8-1m)
- version 0.99.8

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.7-1m)
- version 0.99.7

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.6-1m)
- version 0.99.6

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.99.5-1m)
- version 0.99.5

* Tue Jul 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.2-1m)
- version 0.99.2

* Mon Jun 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.1-1m)
- version 0.99.1

* Mon Jun 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.0-1m)
- version 0.99.0

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.98.0-1m)
- version 0.98.0


